npm.devtool.tech
👏 You can access 1690154855_ package with using 1690154855 variable in browser devtools!
JS API client generated by OpenAPI Generator

code/package/bundle size

0B
publish
0B
install
0B
bundle minified
0B
bundle gzipped

1690154855_

1690154855 - JavaScript client for 1690154855_ No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator) This SDK is automatically generated by the OpenAPI Generator project:

  • API version: 1.0.0
  • Package version: 1.0.0
  • Build package: org.openapitools.codegen.languages.JavascriptApolloClientCodegen

Installation

For Node.js

npm

To publish the library as a npm, please follow the procedure in "Publishing npm packages".

Then install it via:

npm install 1690154855_ --save

Finally, you need to build the module:

npm run build
Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing package.json (and this README). Let's call this JAVASCRIPT_CLIENT_DIR. Then run:

npm install

Next, link it globally in npm with the following, also from JAVASCRIPT_CLIENT_DIR:

npm link

To use the link you just defined in your project, switch to the directory you want to use your 1690154855_ from, and run:

npm link /path/to/<JAVASCRIPT_CLIENT_DIR>

Finally, you need to build the module:

npm run build

git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID then install it via:

npm install GIT_USER_ID/GIT_REPO_ID --save

For browser

The library also works in the browser environment via npm and browserify. After following the above steps with Node.js and installing browserify with npm install -g browserify, perform the following (assuming main.js is your entry file):

browserify main.js > bundle.js

Then include bundle.js in the HTML pages.

Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error: Cannot resolve module", most certainly you should disable AMD loader. Add/merge the following section to your webpack config:

module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}

Getting Started

Please follow the installation instruction and execute the following JS code:

var 1690154855 = require('1690154855_');


var api = new 1690154855.DefaultApi()
var status = "status_example"; // {String} Status values that need to be considered for filter
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.petFindByStatusGet(status, callback);

Documentation for API Endpoints

All URIs are relative to http://localhost

ClassMethodHTTP requestDescription
1690154855.DefaultApipetFindByStatusGetGET /pet/findByStatus根据状态查找宠物列表
1690154855.DefaultApipetPetIdDeleteDELETE /pet/{petId}删除宠物信息
1690154855.DefaultApipetPetIdGetGET /pet/{petId}查询宠物详情
1690154855.DefaultApipetPostPOST /pet新建宠物信息
1690154855.DefaultApipetPutPUT /pet修改宠物信息

Documentation for Models

Documentation for Authorization

All endpoints do not require authorization.

🔎Explore Package🔎CDN Script

Score

Popularity2/100
Quality51/100
Maintenance33/100